Name:			ghemical
Summary:		Molecular mechanics and quantum mechanics front end for GNOME
Version:		3.0.0
Release:		25%{?dist}

# SPDX confirmed
License:		GPL-2.0-or-later
URL:			http://www.bioinformatics.org/ghemical/ghemical/index.html

Source0:		http://www.bioinformatics.org/ghemical/download/current/%{name}-%{version}.tar.gz
# From Debian:
# https://sources.debian.org/data/main/g/ghemical/3.0.0-4/debian/patches/fix_clang_ftbfs.patch
Patch0:		%{name}-3.0.0-gcc9-friend.patch
Patch1:		%{name}-porting_to_openbabel3.patch

# generated by using ImageMagick convert:
# for size in 16 32 48 128 ; 
#   do convert -resize ${size}x${size} -gravity center -background none \
#     -extent ${size}x${size} ghemical-3.0.0/src/res_gtk/ghemical.png \
#     ghemical-${size}x${size}.png ; 
#  done
Source11:		%{name}-16x16.png
Source12:		%{name}-32x32.png
Source13:		%{name}-48x48.png
Source14:		%{name}-128x128.png

BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(openbabel-3)
BuildRequires:	pkgconfig(libghemical) >= 3.0.0
BuildRequires:	pkgconfig(liboglappth)
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	mopac7-devel >= 1.14
BuildRequires:	mpqc-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	libglade2-devel >= 2.4.0
Requires:		libghemical >= 2.99.1
Requires:		hicolor-icon-theme
Requires:		xorg-x11-fonts-ISO8859-1-100dpi

%description
Ghemical is a computational chemistry application.  Ghemical is
written in C++. It has a graphical user interface (in fact, a couple
of them), and it supports both quantum-mechanics (semi-empirical and
ab initio) models and molecular mechanics models (there is an
experimental Tripos 5.2-like force field for organic molecules). Also
a tool for reduced protein models is included. Geometry optimization,
molecular dynamics and a large set of visualization tools are
currently available.

%prep
%autosetup -p1
autoreconf -ivf

# fixup character set
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
	touch -r AUTHORS AUTHORS.conv && \
	mv -f AUTHORS.conv AUTHORS

# help : use default xdg-open
sed -i -e "s|mozilla|xdg-open|" src/gtk_app.cpp

cat >%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Molecular mechanics and quantum mechanics front-end for GNOME
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Education;Science;Chemistry;Physics;
Version=1.0
EOF

%build
%configure \
	--enable-threads \
	--enable-openbabel \
	%{nil}
%make_build

%install
%make_install

install -D -p -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -p -m 644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -p -m 644 %{SOURCE14} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

desktop-file-install %{name}.desktop --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name}

%files -f %{name}.lang
%doc	AUTHORS
%doc	ChangeLog
%doc	TODO
%license	COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Feb 01 2024 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.0-25
- SPDX migration

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 06 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.0.0-18
- Porting to openbabel3

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-15
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb  2 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.0-11
- Fix FTBFS with gcc9 wrt friend declaration

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May  4 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.0-9
- Regenerate icons, specify the origins of icons, correct size
  (ref: 1469386)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.0-7
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 14 2016 Dominik Mierzejewski <rpm@greysector.net> - 3.0.0-2
- rebuild for openbabel-2.4.1

* Fri May  6 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.0-1
- 3.0.0

* Sat Feb 20 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.99.2-31
- Rebuild for openbabel

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.99.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.99.2-28
- Rebuilt for GCC 5 C++11 ABI change

* Wed Feb 25 2015 Dominik Mierzejewski <rpm@greysector.net> - 2.99.2-27
- rebuilt for openbabel-2.3.90

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-21
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.99.2-19
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.99.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Dominik Mierzejewski <rpm@greysector.net> 2.99.2-17
- rebuild for new openbabel

* Wed Sep 01 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-16
- add requires xorg-x11-fonts-ISO8859-1-100dpi to get courier 12 font

* Mon Jun 28 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-15
- bump version again for missing sources

* Mon Jun 28 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-14
- bump version for missing sources

* Mon Jun 21 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-13
- Fedora review cleanup

* Sat Jun 19 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-12
- Fedora review issues:
- utf-8 AUTHORS

* Tue Apr 20 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-11
- Switch to pkg-config for liboglappth libs

* Thu Apr 08 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-10
- remove sc_ libs since those are now pulled in by libghemical

* Mon Apr 05 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-9
- changes for libghemical packaging changes

* Sat Apr 03 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-8
- changes for libghemical packaging changes
- fix spelling warning
- use find_lang macro

* Sat Jan 09 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-7
- add COPYING license file to doc

* Wed Dec 23 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-6
- install -p to preserve timestamps
- trim changelog

* Sat Dec 02 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-5
- remove unnecessary f2c requirement
- don't install zero length NEWS README files

* Wed Dec 02 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-4
- convert to fedora compatible spec file
- remove bonobo and gamess options
- trim changelog

* Fri Oct 16 2009 Guillaume Bedot <littletux@mandriva.org> 2.99.2-3mdv2010.0
- Revision: 457863
- fix buildrequires
- Add translations files
- New release
- fix buildrequires
- New release
- drop merged patch
- update license

